# Create an omnichannel subscription Creates or updates an omnichannel subscription for a customer account. You can also create a new customer account and assign it to the new omnichannel subscription. Endpoint: POST /v1/omni-channel-subscriptions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountId` (string) The ID of the account associated with this subscription. Example: "8a90b4488e602d56018e6062ff5700a3" - `externalSubscriptionId` (string, required) The original transaction ID of the notification. This must be unique in the tenant. Example: "original-transaction-id1" - `externalTransactionReason` (string) The latest transaction reason. Example: "Purchase" - `externalSourceSystem` (string) The source app store from which the channel subscription originated. For example, Apple, Google, Roku, Amazon. Example: "Apple" - `externalState` (string) The original status from client, such as active, canceled, expired, pastDue. Example: "Active" - `state` (string) The common external subscription state. Example: "Active" - `externalProductId` (string) The product ID in the external system. Example: "external-product-id-1" - `externalReplaceByProductId` (string,null) The product ID is going to replace the existing product ID in the externalProductId field during the subscription renewal. - `externalInAppOwnershipType` (string) Such as purchased, family_shared. Example: "Purchased" - `externalQuantity` (integer) The quantity of the product, must be greather than 0. Example: 1 - `currency` (string) The currency code of the transaction. If not specified, get value from the Account. Example: "USD" - `autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. Example: true - `externalPurchaseDate` (string) When the App Store charged the user’s account for a purchase, restored product, subscription, or subscription renewal after a lapse. UTC time, yyyy-mm-dd hh:mm:ss. Example: "2024-02-01 00:01:15" - `externalActivationDate` (string) When the external subscription was activated on the external platform. UTC time, yyyy-mm-dd hh:mm:ss. Example: "2024-02-01 00:01:15" - `externalExpirationDate` (string) This expiration date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss. Example: "2024-05-01 00:01:15" - `externalApplicationId` (string) The external application ID. Example: "004d58fca978fec3697fec4af1d10065" - `externalBundleId` (string) The external bundler ID. Example: "43dcdc4562784ed8a59ece4ef7d98e57" - `externalSubscriberId` (string) The external subscriber ID. Example: "2466082b6d1149c184a09b15bd5be694" - `externalPrice` (number) The price in external system. Example: 100 - `externalPurchaseType` (string) The external purchase type. Example: "Purchased" - `externalLastRenewalDate` (string) This last renewal date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss. Example: "2024-10-01 00:00:00" - `externalNextRenewalDate` (string) This next renewal date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss. Example: "2025-01-01 00:00:00" - `accountIdentifierField` (string) The account field used to identify the account in acountData. It could be a custom field. - `accountData` (object) The information of the account that you want to create while creating an omnichannel subscription. - `accountData.accountNumber` (string) The number of the account. - `accountData.name` (string, required) The name of the account. - `accountData.currency` (string, required) Three uppercase character currency code. - `accountData.notes` (string) The note for the account. - `accountData.billToContact` (object, required) Contact details associated with an account. - `accountData.billToContact.address1` (string) First line of the contact's address. This is often a street address or a business name. - `accountData.billToContact.address2` (string) Second line of the contact's address. - `accountData.billToContact.city` (string) City of the contact's address. - `accountData.billToContact.contactDescription` (string) A description for the contact. - `accountData.billToContact.country` (string) Country; must be a valid country name or abbreviation. If using [Zuora Tax](https://knowledgecenter.zuora.com/Zuora_Billing/Taxes/A_Zuora_Tax), you must specify a country in the bill-to contact to calculate tax. - `accountData.billToContact.county` (string) County of the contact's address. - `accountData.billToContact.customFields` (object) Container for custom fields. - `accountData.billToContact.fax` (string) Fax number of the contact. - `accountData.billToContact.firstName` (string, required) First name of the contact. - `accountData.billToContact.homePhone` (string) Home phone number of the contact. - `accountData.billToContact.lastName` (string, required) - `accountData.billToContact.mobilePhone` (string) Mobile phone number of the contact. - `accountData.billToContact.nickname` (string) Nickname of the contact. - `accountData.billToContact.otherPhone` (string) Additional phone number of the contact. Use the otherPhoneType field to specify the type of phone number. - `accountData.billToContact.otherPhoneType` (string) Specifies the type of phone number in the otherPhone field. Enum: "Work", "Mobile", "Home", "Other" - `accountData.billToContact.personalEmail` (string) Personal email address of the contact. - `accountData.billToContact.postalCode` (string) ZIP code or other postal code of the contact's address. - `accountData.billToContact.state` (string) State or province of the contact's address. - `accountData.billToContact.taxRegion` (string) Region defined in your taxation rules. Only applicable if you use Zuora Tax. - `accountData.billToContact.workEmail` (string) Business email address of the contact. - `accountData.billToContact.workPhone` (string) Business phone number of the contact. - `accountData.soldToContact` (object) Contact details associated with an account. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `subscriptionId` (string) The system generated ID in Billing. - `subscriptionNumber` (string) The system generated subscription number. - `accountId` (string) The ID of the account associated with this subscription. - `accountNumber` (string) The number of the account associated with this subscription. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.